Package de.tudresden.sumo.objects

## Class SumoPrimitive

- java.lang.Object
- - de.tudresden.sumo.objects.SumoPrimitive

- All Implemented Interfaces:
    `SumoObject`

      public class SumoPrimitive
      extends Object
      implements SumoObject

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `type` |
    `Object` | `val` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoPrimitive​(Object o)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### val

          public Object val

    - #### type

          public String type

  - ### Constructor Detail

    - #### SumoPrimitive

          public SumoPrimitive​(Object o)